<?php
# ***** BEGIN LICENSE BLOCK *****
# Presentation plugin for Dotclear
# Copyright (c) 2006 Lol Zimmerli. All rights reserved.
#
# This is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# It is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# ***** END LICENSE BLOCK *****

class Adsense{
  
  /**
   *  Cette fonction affiche les pubs
   *
	 *	@param	string $type (text, text_image, image)
	 *	@param	string $format (728x90, 468x60, 234x60, 120x600, 160x600, 120x240, 336x280, 300x250, 250x250, 200x200, 180x150, 125x125)
	 *	@param	int $radius (0 -> square corners, 6 -> slightly rounded, 10 -> very rounded)
	 */
	
  function showAds($type, $format, $radius, $link, $adtext, $bg, $border, $url){
		$text = '';
		$show_ads = '0';
		$err_color = 0;
		$colors = false;
		
    $filename = SHARE_DIR."/adsense/prefs.txt";
		//	Vrification des paramtres
		$types = array('text', 'text_image', 'image');
		$formats = array('728x90', '468x60', '234x60', '120x600', '160x600', '120x240', '336x280', '300x250', '250x250', '200x200', '180x150', '125x125');
		$corner_radius = array(0, 6, 10);
		
		//	Vrification des valeurs saisies pour les couleurs
		(strlen($link) != 6) 		? $err_color += 1 : $err_color += 0;
		(strlen($adtext) != 6)	? $err_color += 1 : $err_color += 0;
		(strlen($bg) != 6)			? $err_color += 1 : $err_color += 0;
		(strlen($border) != 6)	? $err_color += 1 : $err_color += 0;
		(strlen($url) != 6)			? $err_color += 1 : $err_color += 0;
		
		if(!in_array($format, $formats)){
			$format = '468x60';
		}
		if(!in_array($radius, $corner_radius)){
			$radius = 0;
		}
		if(!in_array($type, $types)){
			$type = 'text_image';
		}
		if($err_color == 0){
			$colors = true;
		}
		if(file_exists($filename)){
			$handle = fopen($filename, "r");
			$file_contents = fread($handle, filesize($filename));
			fclose($handle);
			$split_arr = explode("||", $file_contents);
			$title = $split_arr[0];
			$google_ad_client =  $split_arr[1];
			$google_color_border = $split_arr[2];
			$google_color_bg = $split_arr[3];
			$google_color_link = $split_arr[4];
			$google_color_url = $split_arr[5];
			$google_color_text = $split_arr[6];
			
			//	Remplacement des couleurs
			if($colors == true){
				if($google_color_link != $link) $google_color_link = $link;
				if($google_color_bg != $bg) $google_color_bg = $bg;
				if($google_color_border != $border) $google_color_border = $border;
				if($google_color_text != $adtext) $google_color_text = $adtext;
				if($google_color_url != $url) $google_color_url = $url;
			}
			
			$show_ads = $split_arr[7];
			
			$dim = explode('x', $format);
			$width = $dim[0];
			$height = $dim[1];
			
			$text = '<script type="text/javascript"><!--//
			google_ad_client = "'.$google_ad_client.'";
			google_ad_width = '.$width.';
			google_ad_height = '.$height.';
			google_ui_features = "rc:'.$radius.'";
			google_ad_format = "'.$format.'_as";
			google_ad_type = "'.$type.'";
			google_ad_channel = "";
			google_color_border = "'.$google_color_border.'";
			google_color_bg = "'.$google_color_bg.'";
			google_color_link = "'.$google_color_link.'";
			google_color_url = "'.$google_color_url.'";
			google_color_text = "'.$google_color_text.'";
			//-->
			</script>
			<script type="text/javascript" src="http://pagead2.googlesyndication.com/pagead/show_ads.js"></script>
	';
	
		}
		else{
			$title = $lang['adse_adsense'];
			$text  = $lang['adse_adsense_err'];
		}
	

# Sortie
    if($show_ads != "0"){
     // print("<h2>$title</h2>");
      echo $text."\n";
    }
  }
}

function showAds($parameters){
	if(count($parameters) > 1){
		(isset($parameters[0])) ? $type = strval($parameters[0]) : $type = 'text_image';
		(isset($parameters[1])) ? $format = strval($parameters[1]) : $format = '468x60';
		(isset($parameters[2])) ? $radius = intval($parameters[2]) : $radius = 0;
		(isset($parameters[3])) ? $link = strval($parameters[3]) : $link = '';
		(isset($parameters[4])) ? $adtext = strval($parameters[4]) : $adtext = '';
		(isset($parameters[5])) ? $bg = strval($parameters[5]) : $bg = '';
		(isset($parameters[6])) ? $border = strval($parameters[6]) : $border = '';
		(isset($parameters[7])) ? $url = strval($parameters[7]) : $url = '';
	}
	else{
		$type = 'text_image';
		$format = '468x60';
		$radius = 0;
		$link = '';
		$adtext = '';
		$bg = '';
		$border = '';
		$url = '';
	}
	Adsense::showAds($type, $format, $radius, $link, $adtext, $bg, $border, $url);
}

?>
